Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsMessageConsumer

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsMessageConsumer

All Implemented Interfaces:
  javax.jms.MessageConsumer

Direct Known Subclasses:
  JmsQueueReceiver, JmsTopicSubscriber

public class JmsMessageConsumer
extends Object
implements javax.jms.MessageConsumer

A wrapper for a message consumer

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Constructor Summary
`JmsMessageConsumer(javax.jms.MessageConsumer consumer, JmsSession session)` Create a new wrapper

Method Summary
`void` | `close()`
`javax.jms.MessageListener` | `getMessageListener()`
`String` | `getMessageSelector()`
`javax.jms.Message` | `receive()`
`javax.jms.Message` | `receive(long timeout)`
`javax.jms.Message` | `receiveNoWait()`
`void` | `setMessageListener(javax.jms.MessageListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsMessageConsumer

    public JmsMessageConsumer(javax.jms.MessageConsumer consumer,
                              JmsSession session)

  Create a new wrapper

Parameters:
  `consumer` - the consumer
  `session` - the session

Method Detail

### close

    public void close()
               throws javax.jms.JMSException

  Specified by:
    `close` in interface `javax.jms.MessageConsumer`
  Throws:
    `javax.jms.JMSException`

### getMessageListener

    public javax.jms.MessageListener getMessageListener()
                                                 throws javax.jms.JMSException

  Specified by:
    `getMessageListener` in interface `javax.jms.MessageConsumer`
  Throws:
    `javax.jms.JMSException`

### getMessageSelector

    public String getMessageSelector()
                              throws javax.jms.JMSException

  Specified by:
    `getMessageSelector` in interface `javax.jms.MessageConsumer`
  Throws:
    `javax.jms.JMSException`

### receive

    public javax.jms.Message receive()
                              throws javax.jms.JMSException

  Specified by:
    `receive` in interface `javax.jms.MessageConsumer`
  Throws:
    `javax.jms.JMSException`

### receive

    public javax.jms.Message receive(long timeout)
                              throws javax.jms.JMSException

  Specified by:
    `receive` in interface `javax.jms.MessageConsumer`
  Throws:
    `javax.jms.JMSException`

### receiveNoWait

    public javax.jms.Message receiveNoWait()
                                    throws javax.jms.JMSException

  Specified by:
    `receiveNoWait` in interface `javax.jms.MessageConsumer`
  Throws:
    `javax.jms.JMSException`

### setMessageListener

    public void setMessageListener(javax.jms.MessageListener listener)
                            throws javax.jms.JMSException

  Specified by:
    `setMessageListener` in interface `javax.jms.MessageConsumer`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.